@echo off
(cd /d "%~dp0")&&(NET FILE||(powershell start-process -FilePath '%0' -verb runas)&&(exit /B)) >NUL 2>&1
TITLE 安装 Microsoft 365 / Office
cls
echo Microsoft 365 / Office 下载安装激活工具 2026-01-02
echo https://qke.net/zh/microsoft.html
echo ---
echo  1  Microsoft 365 / Office365 ProPlus x64 Retail
echo  2  Microsoft 365 / Office365 ProPlus x32 Retail
echo  3  Office365 ProPlus + VisioPro + ProjectPro x64 Retail
echo ---
echo  4  Office LTSC 2024 x64 Volume
echo  5  Office LTSC 2024 x32 Volume
echo  6  Office LTSC 2024 + VisioPro2024 + ProjectPro2024 x64 Volume
echo  7  Word + Excel + PowerPoint 2024 x64 Volume
echo ---
echo  8  Office LTSC 2021 x64 Volume
echo  9  Office LTSC 2021 x32 Volume
echo 10  Office LTSC 2021 + VisioPro2021 + ProjectPro2021 x64 Volume
echo 11  Word + Excel + PowerPoint 2021 x64 Volume
echo ---
echo 12  Office 2019 ProPlus x64 Volume
echo 13  Office 2019 ProPlus x32 Volume
echo 14  Office 2019 + VisioPro2019 + ProjectPro2019 x64 Volume
echo ---
echo 15  VisioPro2024 + ProjectPro2024 x64 Volume
echo 16  VisioPro2021 + ProjectPro2021 x64 Volume
echo ---
echo 17  仅使用激活功能，选择此项。
echo ---
set xz=0
set /p xz=输入序号回车:
if %xz%==1 goto 365x64
if %xz%==2 goto 365x32
if %xz%==3 goto 365VPx64
if %xz%==4 goto 2024x64
if %xz%==5 goto 2024x32
if %xz%==6 goto 2024VPx64
if %xz%==7 goto 2024WEPx64
if %xz%==8 goto 2021x64
if %xz%==9 goto 2021x32
if %xz%==10 goto 2021VPx64
if %xz%==11 goto 2021WEPx64
if %xz%==12 goto 2019x64
if %xz%==13 goto 2019x32
if %xz%==14 goto 2019VPx64
if %xz%==15 goto VP2024x64
if %xz%==16 goto VP2021x64
if %xz%==17 goto start

:2024VPx64
cls
TITLE Office LTSC + VisioPro + ProjectPro
echo Office LTSC 2024 + VisioPro2024 + ProjectPro2024 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2024VPx64.xml
echo 安装中  请等待...
office\setup.exe /configure office\2024VPx64.xml
echo  安装完成。
goto start

:2024x64
cls
TITLE Office LTSC 2024 x64 Volume
echo Office LTSC 2024 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2024x64.xml
echo 安装中  请等待...
office\setup.exe /configure office\2024x64.xml
echo Office 安装完成。
goto start

:2024x32
cls
TITLE Office LTSC 2024 x32 Volume
echo Office LTSC 2024 x32 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2024x32.xml
echo 安装中  请等待...
office\setup.exe /configure office\2024x32.xml
echo Office 安装完成。
goto start

:2024WEPx64
cls
TITLE Word + Excel + PowerPoint 2024
echo Word + Excel + PowerPoint 2024 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2024WEPx64.xml
echo 安装中  请等待...
office\setup.exe /configure office\2024WEPx64.xml
echo Office 安装完成。
goto start

:2021VPx64
cls
TITLE Office LTSC + VisioPro + ProjectPro
echo Office LTSC 2021 + VisioPro2021 + ProjectPro2021 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2021VPx64.xml
echo  安装中  请等待...
office\setup.exe /configure office\2021VPx64.xml
echo  安装完成。
goto start

:2021x64
cls
TITLE Office LTSC 2021 x64 Volume
echo Office LTSC 2021 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2021x64.xml
echo 安装中  请等待...
office\setup.exe /configure office\2021x64.xml
echo Office 安装完成。
goto start

:2021x32
cls
TITLE Office LTSC 2021 x32 Volume
echo Office LTSC 2021 x32 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2021x32.xml
echo 安装中  请等待...
office\setup.exe /configure office\2021x32.xml
echo  安装完成。
goto start

:2021WEPx64
cls
TITLE Word + Excel + PowerPoint 2021
echo Word + Excel + PowerPoint 2021 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2021WEPx64.xml
echo 安装中  请等待...
office\setup.exe /configure office\2021WEPx64.xml
echo Office 安装完成。
goto start

:365VPx64
cls
TITLE Office365 ProPlus + VisioPro + ProjectPro
echo Office365 ProPlus + VisioPro + ProjectPro x64 Retail - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\365VPx64.xml
echo 安装中  请等待...
office\setup.exe /configure office\365VPx64.xml
echo  安装完成。
goto start

:365x64
cls
TITLE Office365 ProPlus x64 Retail
echo Microsoft 365 / Office365 ProPlus x64 Retail - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\365x64.xml
echo 安装中  请等待...
office\setup.exe /configure office\365x64.xml
echo 安装完成。
goto start

:365x32
cls
TITLE Office365 ProPlus x32 Retail
echo Microsoft 365 / Office365 ProPlus x32 Retail - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\365x32.xml
echo 安装中  请等待...
office\setup.exe /configure office\365x32.xml
echo  安装完成。
goto start

:2019VPx64
cls
TITLE Office LTSC + VisioPro + ProjectPro
echo Office 2019 + VisioPro2019 + ProjectPro2019 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2019VPx64.xml
echo  安装中  请等待...
office\setup.exe /configure office\2019VPx64.xml
echo  安装完成。
goto start

:2019x64
cls
TITLE Office 2019 ProPlus x64 Volume
echo Office 2019 ProPlus x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2019x64.xml
echo  安装中  请等待...
office\setup.exe /configure office\2019x64.xml
echo  安装完成。
goto start

:2019x32
cls
TITLE Office 2019 ProPlus x32 Volume
echo Office 2019 ProPlus x32 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\2019x32.xml
echo  安装中  请等待...
office\setup.exe /configure office\2019x32.xml
echo  安装完成。
goto start

:VP2024x64
cls
TITLE VisioPro2024 + ProjectPro2024
echo VisioPro2024 + ProjectPro2024 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\VP2024x64.xml
echo  安装中  请等待...
office\setup.exe /configure office\VP2024x64.xml
echo  安装完成。
goto start

:VP2021x64
cls
TITLE VisioPro2021 + ProjectPro2021
echo VisioPro2021 + ProjectPro2021 x64 Volume - 下载速度与您网速有关
echo 下载中  请等待...
office\setup.exe /download office\VP2021x64.xml
echo  安装中  请等待...
office\setup.exe /configure office\VP2021x64.xml
echo  安装完成。
goto start

:start
TITLE 激活 Microsoft 365 / Office
cls
echo 开始激活Office，请选择激活方式：
echo 1 联网下载 中文Microsoft-Activation-Scripts(MAS)激活所有版本Office。(极少不能激活)
echo 2 联网下载 英文Microsoft-Activation-Scripts(MAS)激活所有版本Office。(极少不能激活)
echo 3 仅支持连网激活 Office 2024/2021/2019  Volume等批量类型的版本。
set jihuo=0
set /p jihuo=输入序号回车:
if %jihuo%==1 goto KMS1
if %jihuo%==2 goto KMS2
if %jihuo%==3 goto KMS3
:KMS1
powershell -command "iwr wwwb.eu.org/mas.cmd -o c:\mas.cmd;c:\mas.cmd"
exit
:KMS2
powershell -command "irm https://get.activated.win | iex"
exit
:KMS3
cscript "C:\Program Files\Microsoft Office\Office16\OSPP.VBS" /sethst:kms.qke.net
cscript "C:\Program Files\Microsoft Office\Office16\OSPP.VBS" /act
cscript "C:\Program Files (x86)\Microsoft Office\Office16\OSPP.VBS" /sethst:kms.qke.net
cscript "C:\Program Files (x86)\Microsoft Office\Office16\OSPP.VBS" /act
echo Office激活完成。
pause
exit